/************************************************************************
rog.h - contians variable definitions of ROG algorithm
 
Copyright (c) 1997 University of Southern California.
All rights reserved.                                            
                                                                
Redistribution and use in source and binary forms are permitted
provided that the above copyright notice and this paragraph are
duplicated in all such forms and that any documentation, advertising
materials, and other materials related to such distribution and use
acknowledge that the software was developed by the University of
Southern California, Information Sciences Institute.  The name of the
University may not be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

************************************************************************/

#ifndef _rog_h
#define _rog_h

#include <sys/types.h>

/* Include all the structure definitions in md5.h*/
#include <netinet/md5.h>

#include "sec_debug.h"

/* typedefs etc from global.h */
#include "global.h"

/* changed names*/

void init_htable();
void MD5Init_rog PROTO_LIST ((MD5_CTX *));
/* void MD5Init_our PROTO_LIST ((MD5_CTX *, unsigned long *)); */
void hmac_with_counter PROTO_LIST ((MD5_CTX *, char *, int, char *, int, char *));

#endif _rog_h
