/************************************************************************
sec.h 
 
Copyright (c) 1997 University of Southern California.
All rights reserved.                                            
                                                                
Redistribution and use in source and binary forms are permitted
provided that the above copyright notice and this paragraph are
duplicated in all such forms and that any documentation, advertising
materials, and other materials related to such distribution and use
acknowledge that the software was developed by the University of
Southern California, Information Sciences Institute.  The name of the
University may not be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

************************************************************************/

#ifndef _netinet_sec_h
#define _netinet_sec_h
/* To avoid problems if included more than once */

/* hack!!!*/

#define define_ahstat
#include "sec_debug.h"
#undef define_ahstat

/* All the macros for debugging are in there */

/* For dump_chain */
#define DETAIL 1 
#define HOST_ORDER 0
#define NET_ORDER 1	
#define IP_ADDR_LEN sizeof( struct in_addr)
/* TO CHECK */

#ifndef AH_TYPES
#define AH_TYPES
typedef u_char u_int8;
typedef u_short u_int16;
typedef u_int  u_int32;
#endif AH_TYPES
/* TO CHECK */
/* Looks like the spi is the only important field in this structure since
it is going to be included in the outgoing and incoming packet.
CHECK- unsigned or not, 
Also, in secinit, it is stored after doing a htonl 
*/

struct secassoc 
{
	int  len;  /* basically the size of this structure */
        u_long spi; /* the security parameters index */
        int algorithm; /* The algorithms have been used */
        int  keylen ;   /* The length of the key */
        caddr_t key;   /* The actual key */

};
struct auth 
{
        u_char auth_nexthdr; /* originally carried in ip header */
	u_char auth_datalen; /* Length of auth. data in 32 bit words  */	
	u_short auth_reserved;
	u_long auth_spi;	

};

u_char null_ck;

#endif _netinet_sec_h






