************************************************************************
PATCH.init_sysent.c - To get the statistics about AH.
 
Copyright (c) 1997 University of Southern California.
All rights reserved.                                            
                                                                
Redistribution and use in source and binary forms are permitted
provided that the above copyright notice and this paragraph are
duplicated in all such forms and that any documentation, advertising
materials, and other materials related to such distribution and use
acknowledge that the software was developed by the University of
Southern California, Information Sciences Institute.  The name of the
University may not be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

************************************************************************

*** /nfs/atom/atomic/4.1.3-sys/os/init_sysent.c	Wed Jun 16 12:14:00 1993
--- init_sysent.c	Fri Aug 30 01:32:26 1996
***************
*** 191,196 ****
--- 191,201 ----
  int	vpixsys();		/* VP/ix system calls */
  #endif
  
+ #ifdef AH
+ int getahstat();
+ int setahstat();
+ #endif
+ 
  struct sysent sysent[] = {
  	1, indir,			/*   0 = indir */
  	1, rexit,			/*   1 = exit */
***************
*** 471,477 ****
--- 476,487 ----
  	0, nosys,			/* 195 = reserved - Loadable syscalls */
  	0, nosys,			/* 196 = reserved - Loadable syscalls */
  	0, nosys,			/* 197 = reserved - Loadable syscalls */
+ #ifdef AH
+ 	1, getahstat,                    /* 198 = get ah statistics            */
+ 	1, setahstat,                    /* 199 = set ah statistics to         */
  #endif
+ 
+ #endif
  };
  int	nsysent = sizeof (sysent) / sizeof (sysent[0]);
  
***************
*** 479,481 ****
--- 489,492 ----
  int	firstvdsys = 190;		/* first loadable syscall number */
  int	lastvdsys  = 197;		/* last loadable syscall number */
  #endif
+ 
