************************************************************************
PATCH.ip_input.c - This patch is used to notify the receiver not to 
calculate the checksum for NULL-CKSUM algorithm.
 
Copyright (c) 1997 University of Southern California.
All rights reserved.                                            
                                                                
Redistribution and use in source and binary forms are permitted
provided that the above copyright notice and this paragraph are
duplicated in all such forms and that any documentation, advertising
materials, and other materials related to such distribution and use
acknowledge that the software was developed by the University of
Southern California, Information Sciences Institute.  The name of the
University may not be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

************************************************************************

*** /nfs/atom/atomic/4.1.3-sys/netinet/ip_input.c	Thu Apr 17 18:39:13 1997
--- ip_input.c	Mon Aug 11 17:57:18 1997
***************
*** 138,147 ****
  			goto next;
  		}
  		ip = mtod(m, struct ip *);
! 		if (in_cksum(m, hlen) & 0xFFFF) {
  			ipstat.ips_badsum++;
  			goto bad;
! 		}
  	} else {
  	  /*
  	   * Usual case of in-line IP checksumming.
--- 138,150 ----
  			goto next;
  		}
  		ip = mtod(m, struct ip *);
! 		
! 		/* Change this portion for TCP */
! 		if(null_ck == 'n')
! 		  if (in_cksum(m, hlen) & 0xFFFF) {
  			ipstat.ips_badsum++;
  			goto bad;
! 		  }
  	} else {
  	  /*
  	   * Usual case of in-line IP checksumming.
