/* aha.h*/

/* MD5.H - header file for MD5C.C
 */

/* Copyright (C) 1991-2, RSA Data Security, Inc. Created 1991. All
rights reserved.

License to copy and use this software is granted provided that it
is identified as the "RSA Data Security, Inc. MD5 Message-Digest
Algorithm" in all material mentioning or referencing this software
or this function.

License is also granted to make and use derivative works provided
that such works are identified as "derived from the RSA Data
Security, Inc. MD5 Message-Digest Algorithm" in all material
mentioning or referencing the derived work.

RSA Data Security, Inc. makes no representations concerning either
the merchantability of this software or the suitability of this
software for any particular purpose. It is provided "as is"
without express or implied warranty of any kind.

These notices must be retained in any copies of any part of this
documentation and/or software.
 */

/************************************************************************
aha.h 
 
Copyright (c) 1997 University of Southern California.
All rights reserved.                                            
                                                                
Redistribution and use in source and binary forms are permitted
provided that the above copyright notice and this paragraph are
duplicated in all such forms and that any documentation, advertising
materials, and other materials related to such distribution and use
acknowledge that the software was developed by the University of
Southern California, Information Sciences Institute.  The name of the
University may not be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

************************************************************************/


#ifndef _aha_h
#define _aha_h

#include <sys/types.h>

/* Include all the structure definitions in md5.h*/
#include <netinet/md5.h>

#include "sec_debug.h"

/* typedefs etc from global.h */
#include "global.h"

/* changed names*/
void AHAInit PROTO_LIST ((MD5_CTX *));
void AHAUpdate PROTO_LIST
  ((MD5_CTX *, unsigned char *, unsigned int));
void AHAFinal PROTO_LIST ((unsigned char [16], MD5_CTX *));

/* CHECK extern int print_debug; */

/* Check Doesn't seem to be used anywhere in the AHA code */

/* extern int reorder;*/


#endif _aha_h
